Create a new market
Creates a new market with the specified configuration including name, slug, locale, currency code, and associated country codes.
POST
/api/v1/{team_slug}/{app_slug}/marketsAuthorization
AuthorizationBearer token · headerrequiredManagement API token, sent as Authorization: Bearer <token>.
Path parameters
app_slugstringrequiredApp slug
team_slugstringrequiredTeam slug
Request body
requiredapplication/jsonMarket data
activebooleancountry_codesstring[]requiredmin items 1
currency_codestringrequiredlocalestringrequirednamestringrequiredslugstringrequiredResponses
200
Market created successfully
datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.MarketrequiredShow propertiesHide properties
activebooleancountry_codesstring[] | nullcreated_atstringcurrency_codestringidstringlocalestringnamestringslugstringupdated_atstring | nulldetailsstring[]Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes
successbooleanrequired201
Successful response
datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.MarketrequiredShow propertiesHide properties
activebooleancountry_codesstring[] | nullcreated_atstringcurrency_codestringidstringlocalestringnamestringslugstringupdated_atstring | nulldetailsstring[]Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes
successbooleanrequired400
Invalid request (e.g. bad UUID, validation error)
detailsstring[]messagestringsuccessbooleanrequired401
Unauthorized access
detailsstring[]messagestringsuccessbooleanrequired500
Internal server error
detailsstring[]messagestringsuccessbooleanrequired